// Wire Master Reader
// by Nicholas Zambetti <http://www.zambetti.com>

// Demonstrates use of the Wire library
// Reads data from an I2C/TWI slave device
// Refer to the "Wire Slave Sender" example for use with this

// Created 29 March 2006

// This example code is in the public domain.


#include <Wire.h>

void setup() {
  Wire.begin();        // join i2c bus (address optional for master)
  
  digitalWrite(A3, LOW);
  delay(500);
  digitalWrite(A3, HIGH);
  delay(500);

  Serial.begin(9600);  // start serial for output
  
  pinMode(A1, OUTPUT);
  digitalWrite(A1, LOW); //CS
  pinMode(A2, INPUT);     //DATREQ
  pinMode(A3, OUTPUT);    //sta013 chip reset
  digitalWrite(A3, HIGH);

  pinMode(3, OUTPUT);
  digitalWrite(3, HIGH); //SPI microUSD

  Wire.beginTransmission(0x43); 
  
  Wire.write(0x01);
  
  Wire.requestFrom(0x43, 1);    // request 1 byte from STA013
  
  while (Wire.available() <= 0){
    Serial.print(".");delay(500);
  }
  
  while (Wire.available()) {
    uint8_t c = Wire.read(); // receive a byte as character
    if(c==0xac) 
      Serial.print("Data correct"); //compare if data is equal to 0xac
  }
  Wire.endTransmission();
}
void loop() {}
